gpu_neon: new intrinsics-only implementation
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48drc_cache_base="no"
00a212aa 49have_armv5=""
4132e8ca 50have_armv6=""
51have_armv7=""
52have_arm_neon=""
53have_tslib=""
5b9aa749 54have_gles=""
5514a050 55have_c64x_dsp=""
4132e8ca 56enable_dynarec="yes"
f89fa2d9 57need_sdl="no"
955f9af0 58need_xlib="no"
cc56203b 59need_libpicofe="yes"
60need_warm="no"
5b9aa749 61CFLAGS_GLES=""
62LDLIBS_GLES=""
4132e8ca 63# these are for known platforms
64optimize_cortexa8="no"
65optimize_arm926ej="no"
66
67# hardcoded stuff
68CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 69CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 70AS="${AS-${CROSS_COMPILE}as}"
71AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 72MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 73config_mak="config.mak"
74
3d037671
PC
75SYSROOT="$(${CC} --print-sysroot)"
76[ "x${SDL_CONFIG}" = "x" ] && SDL_CONFIG="${SYSROOT}/usr/bin/sdl-config"
77
07c13dfd 78fail()
79{
80 echo "$@"
5d53bb85 81 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 82 exit 1
83}
84
4132e8ca 85# call during arg parsing, so that cmd line can override platform defaults
86set_platform()
87{
88 platform=$1
89 case "$platform" in
90 generic)
91 ;;
92 pandora)
07c13dfd 93 sound_drivers="oss alsa"
4132e8ca 94 drc_cache_base="yes"
95 optimize_cortexa8="yes"
96 have_arm_neon="yes"
955f9af0 97 need_xlib="yes"
4132e8ca 98 ;;
99 maemo)
4132e8ca 100 drc_cache_base="yes"
101 optimize_cortexa8="yes"
102 have_arm_neon="yes"
103 ;;
104 caanoo)
07c13dfd 105 sound_drivers="oss"
4132e8ca 106 drc_cache_base="yes"
107 optimize_arm926ej="yes"
cc56203b 108 need_warm="yes"
4132e8ca 109 ;;
38c2028e 110 libretro)
07c13dfd 111 sound_drivers="libretro"
cc56203b 112 need_libpicofe="no"
38c2028e 113 ;;
4132e8ca 114 *)
07c13dfd 115 fail "unsupported platform: $platform"
4132e8ca 116 ;;
117 esac
118}
119
120for opt do
121 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
122 case "$opt" in
123 --help|-h) show_help="yes"
124 ;;
125 --platform=*) set_platform "$optarg"
126 ;;
61bc6d40 127 --gpu=*) builtin_gpu="$optarg"
128 ;;
07c13dfd 129 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 130 ;;
131 --enable-neon) have_arm_neon="yes"
132 ;;
133 --disable-neon) have_arm_neon="no"
134 ;;
135 --disable-dynarec) enable_dynarec="no"
136 ;;
137 *) echo "ERROR: unknown option $opt"; show_help="yes"
138 ;;
139 esac
140done
141
142if [ "$show_help" = "yes" ]; then
143 echo "options:"
144 echo " --help print this message"
145 echo " --platform=NAME target platform [$platform]"
146 echo " available: $platform_list"
61bc6d40 147 echo " --gpu=NAME builtin gpu plugin [guessed]"
148 echo " available: $builtin_gpu_list"
07c13dfd 149 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 150 echo " available: $sound_driver_list"
151 echo " --enable-neon"
152 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
153 echo " --disable-dynarec disable dynamic recompiler"
154 echo " (dynarec is only available and enabled on ARM)"
943a507a 155 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 156 echo "influential environment variables:"
ac6575cd 157 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 158 exit 1
159fi
160
07c13dfd 161# validate selections
61bc6d40 162if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 163 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
164 fail "unsupported builtin gpu plugin: $builtin_gpu"
165 fi
61bc6d40 166fi
167
07c13dfd 168if [ "x$sound_drivers" != "x" ]; then
169 for d in $sound_drivers; do
170 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
171 fail "unsupported sound driver: $sound_driver"
172 fi
173 done
174fi
4132e8ca 175
cc56203b 176if [ "$need_libpicofe" = "yes" ]; then
177 if ! test -f "frontend/libpicofe/README"; then
178 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
179 fi
180fi
181
182if [ "$need_warm" = "yes" ]; then
183 if ! test -f "frontend/warm/README"; then
184 fail "wARM is missing, please run 'git submodule init && git submodule update'"
185 fi
186fi
187
00a212aa 188# basic compiler test
189cat > $TMPC <<EOF
190#include <zlib.h>
191int main(void) { return 0; }
192EOF
193if ! compile_binary; then
0dc1b4a9 194 fail "compiler test failed, please check config.log"
00a212aa 195fi
196
4132e8ca 197if [ -z "$ARCH" ]; then
0dc1b4a9 198 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 199fi
200
0dc1b4a9 201case "$ARCH" in
202arm*)
203 # ARM stuff
204 ARCH="arm"
205
4132e8ca 206 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 207 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
208 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
209 fi
210 if [ "$optimize_arm926ej" = "yes" ]; then
211 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
212 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
213 fi
214
215 if [ "x$have_arm_neon" = "x" ]; then
216 # detect NEON from user-supplied cflags to enable asm code
217 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
218 fi
4132e8ca 219 if [ "x$have_armv7" = "x" ]; then
00a212aa 220 if check_define HAVE_ARMV7; then
4132e8ca 221 have_armv7="yes"
00a212aa 222 have_armv6="yes"
223 have_armv5="yes"
4132e8ca 224 fi
225 fi
00a212aa 226 if [ "x$have_armv6" = "x" ]; then
227 if check_define HAVE_ARMV6; then
228 have_armv6="yes"
229 have_armv5="yes"
230 fi
231 fi
232 if [ "x$have_armv5" = "x" ]; then
233 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
234 fi
4132e8ca 235
61bc6d40 236 if [ "x$builtin_gpu" = "x" ]; then
237 if [ "$have_arm_neon" = "yes" ]; then
238 builtin_gpu="neon"
239 elif [ "$have_armv7" != "yes" ]; then
240 # pre-ARMv7 hardware is usually not fast enough for peops
241 builtin_gpu="unai"
242 else
243 builtin_gpu="peops"
244 fi
245 fi
246
e795af9e 247 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 248 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 249 fpu="neon"
4132e8ca 250 elif [ "$have_armv6" = "yes" ]; then
40cf6975 251 fpu="vfp"
4132e8ca 252 fi
40cf6975 253 if [ "x$fpu" != "x" ]; then
254 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
255 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
256 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
257 if [ "$floatabi_set_by_gcc" != "yes" ]; then
258 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
259 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
260 fi
4132e8ca 261 fi
262
9f704290 263 # must disable thumb as recompiler can't handle it
96751f36 264 if check_define __thumb__; then
9f704290 265 CFLAGS="$CFLAGS -marm"
96751f36 266 fi
00a212aa 267
268 # warn about common mistakes
269 if [ "$have_armv5" != "yes" ]; then
270 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
271 echo "Warning: compiling for ARMv4, is that really what you want?"
272 echo "You probably should specify -mcpu= or -march= like this:"
273 echo " CFLAGS=-march=armv6 ./configure ..."
274 fi
275 fi
276 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
277 echo "Warning: compiling for NEON, but not ARMv7?"
278 echo "You probably want to specify -mcpu= or -march= like this:"
279 echo " CFLAGS=-march=armv7-a ./configure ..."
280 fi
0dc1b4a9 281 ;;
55a2d0dc 282aarch64)
283 ;;
0dc1b4a9 284*)
4132e8ca 285 # dynarec only available on ARM
286 enable_dynarec="no"
0dc1b4a9 287 ;;
288esac
4132e8ca 289
61bc6d40 290if [ "x$builtin_gpu" = "x" ]; then
291 builtin_gpu="peops"
292fi
293
4132e8ca 294# supposedly we can avoid -fPIC on armv5 for slightly better performace?
295if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
296 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
297fi
298
38c2028e 299case "$platform" in
300generic)
f89fa2d9 301 need_sdl="yes"
38c2028e 302 ;;
303maemo)
7010034e 304 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 305 ;;
306libretro)
307 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 308 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 309 ;;
310esac
4132e8ca 311
07c13dfd 312# header/library presence tests
313check_zlib()
314{
315 cat > $TMPC <<EOF
316 #include <zlib.h>
791f6e3e 317 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 318EOF
319 compile_binary
320}
321
07c13dfd 322check_libpng()
323{
324 cat > $TMPC <<EOF
325 #include <png.h>
326 void main() { png_init_io(0, 0); }
327EOF
328 compile_binary
329}
330
331check_oss()
332{
333 cat > $TMPC <<EOF
334 #include <sys/soundcard.h>
335 #include <sys/ioctl.h>
336 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
337EOF
338 compile_binary
339}
340
341check_alsa()
342{
343 cat > $TMPC <<EOF
344 #include <alsa/asoundlib.h>
345 void main() { snd_pcm_open(0, 0, 0, 0); }
346EOF
347 compile_binary "$@"
348}
349
b68bf5c2 350check_pulseaudio()
351{
352 cat > $TMPC <<EOF
353 #include <pulse/pulseaudio.h>
354 void main() { pa_threaded_mainloop_new(); }
355EOF
356 compile_binary "$@"
357}
358
07c13dfd 359check_sdl()
360{
361 cat > $TMPC <<EOF
362 #include <SDL.h>
363 void main() { SDL_OpenAudio(0, 0); }
364EOF
365 compile_binary "$@"
366}
367
955f9af0 368check_xlib_headers()
369{
370 cat > $TMPC <<EOF
371 #include <X11/Xlib.h>
372 void *f() { return XOpenDisplay(0); }
373EOF
374 compile_object "$@"
375}
376
5514a050 377# see if we have c64_tools for TI C64x DSP
378check_c64_tools()
379{
380 cat > $TMPC <<EOF
381 #include <inc_libc64_mini.h>
382 int f() { return dsp_open(); }
383EOF
384 compile_object "$@"
385}
386
f89fa2d9 387MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 388check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 389
f89fa2d9 390MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 391check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 392
393# find what audio support we can compile
394if [ "x$sound_drivers" = "x" ]; then
395 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 396 if check_alsa -lasound; then
397 sound_drivers="$sound_drivers alsa"
398 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
399 fi
b68bf5c2 400 if check_pulseaudio -lpulse; then
401 sound_drivers="$sound_drivers pulseaudio"
402 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
403 fi
3d037671 404 if [ "$need_sdl" = "yes" ] || check_sdl `${SDL_CONFIG} --cflags --libs`; then
f89fa2d9 405 sound_drivers="$sound_drivers sdl"
406 need_sdl="yes"
407 fi
408else
409 if echo $sound_drivers | grep -q "\<oss\>"; then
410 check_oss || fail "oss support is missing"
411 fi
412 if echo $sound_drivers | grep -q "\<alsa\>"; then
413 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
414 check_alsa || fail "please install libasound2-dev"
415 fi
b68bf5c2 416 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
417 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
418 check_pulseaudio || fail "pulseaudio support is missing"
419 fi
07c13dfd 420fi
421
9f704290 422if [ "$need_sdl" = "yes" ]; then
3d037671 423 which ${SDL_CONFIG} > /dev/null || \
9f704290 424 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
3d037671
PC
425 CFLAGS="$CFLAGS `${SDL_CONFIG} --cflags`"
426 MAIN_LDLIBS="`${SDL_CONFIG} --libs` $MAIN_LDLIBS"
9f704290 427 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 428fi
429
4132e8ca 430# check for tslib (only headers needed)
431if [ "x$have_tslib" = "x" ]; then
432 cat > $TMPC <<EOF
433 #include <tslib.h>
434 void test(struct ts_sample sample) {}
435EOF
436 if compile_object; then
437 have_tslib="yes"
438 else
439 have_tslib="no"
440 fi
441fi
442
5b9aa749 443# check for VideoCore stuff for Raspberry Pi
ad6150e0 444if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 445 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 446 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 447 if [ -f /opt/vc/lib/libbcm_host.so ]; then
448 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
449 fi
955f9af0 450 need_xlib="yes"
ad6150e0 451 VIDEOCORE="yes"
5b9aa749 452fi
453
dd4d5a35 454# check for GLES headers
455cat > $TMPC <<EOF
456#include <GLES/gl.h>
dd4d5a35 457#include <EGL/egl.h>
5b9aa749 458int main(void) {
459 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 460}
461EOF
ad6150e0
CG
462if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
463 have_gles="yes"
464 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
465elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 466 have_gles="yes"
467 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
468elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
469 have_gles="yes"
470 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 471fi
472
5514a050 473if check_c64_tools; then
474 have_c64x_dsp="yes"
475fi
476
5b9aa749 477if [ "$have_gles" = "yes" ]; then
478 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
479fi
61bc6d40 480if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
481 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
482fi
483
955f9af0 484# check for xlib (only headers needed)
485if [ "x$need_xlib" = "xyes" ]; then
486 check_xlib_headers || fail "please install libx11-dev"
487fi
488
cc376814 489sizeof_long=`check_define_val __SIZEOF_LONG__`
490if [ "x$sizeof_long" = "x4" ]; then
491 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
492fi
493
9f704290 494cat > $TMPC <<EOF
495void test(void *f, void *d) { fread(d, 1, 1, f); }
496EOF
497if compile_object -Wno-unused-result; then
498 CFLAGS="$CFLAGS -Wno-unused-result"
499fi
500
dd4d5a35 501# short plugin list for display
502for p in $plugins; do
503 p1=`basename $p`
504 plugins_short="$p1 $plugins_short"
505done
506
4132e8ca 507# set things that failed to autodetect to "no"
508test "x$have_armv6" != "x" || have_armv6="no"
509test "x$have_armv7" != "x" || have_armv7="no"
510test "x$have_arm_neon" != "x" || have_arm_neon="no"
00a212aa 511test "x$have_gles" != "x" || have_gles="no"
5514a050 512test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 513
514echo "architecture $ARCH"
515echo "platform $platform"
61bc6d40 516echo "built-in GPU $builtin_gpu"
07c13dfd 517echo "sound drivers $sound_drivers"
dd4d5a35 518echo "plugins $plugins_short"
4132e8ca 519echo "C compiler $CC"
520echo "C compiler flags $CFLAGS"
07c13dfd 521echo "libraries $MAIN_LDLIBS"
22fa3f2b 522echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 523echo "enable dynarec $enable_dynarec"
5514a050 524if [ "$ARCH" = "arm" ]; then
525 echo "ARMv7 optimizations $have_armv7"
526 echo "enable ARM NEON $have_arm_neon"
527 echo "TI C64x DSP support $have_c64x_dsp"
528fi
4132e8ca 529echo "tslib support $have_tslib"
2c616080 530if [ "$platform" = "generic" ]; then
531 echo "OpenGL ES output $have_gles"
532fi
4132e8ca 533
534echo "# Automatically generated by configure" > $config_mak
535printf "# Configured with:" >> $config_mak
536printf " '%s'" "$0" "$@" >> $config_mak
537echo >> $config_mak
538
539echo "CC = $CC" >> $config_mak
ac6575cd 540echo "CXX = $CXX" >> $config_mak
4132e8ca 541echo "AS = $AS" >> $config_mak
542echo "CFLAGS += $CFLAGS" >> $config_mak
543echo "ASFLAGS += $ASFLAGS" >> $config_mak
544echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 545echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 546echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 547echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
548echo >> $config_mak
549
38c2028e 550if [ "$platform" = "libretro" ]; then
551 echo "TARGET = libretro.so" >> $config_mak
552fi
4132e8ca 553echo "ARCH = $ARCH" >> $config_mak
554echo "PLATFORM = $platform" >> $config_mak
61bc6d40 555echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 556echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 557echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 558if [ "$have_arm_neon" = "yes" ]; then
559 echo "HAVE_NEON = 1" >> $config_mak
560fi
561if [ "$have_tslib" = "yes" ]; then
562 echo "HAVE_TSLIB = 1" >> $config_mak
563fi
5b9aa749 564if [ "$have_gles" = "yes" ]; then
565 echo "HAVE_GLES = 1" >> $config_mak
566 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
567 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
568fi
4132e8ca 569if [ "$enable_dynarec" = "yes" ]; then
570 echo "USE_DYNAREC = 1" >> $config_mak
571fi
572if [ "$drc_cache_base" = "yes" ]; then
2a014d73 573 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 574fi
5514a050 575if [ "$have_c64x_dsp" = "yes" ]; then
576 echo "HAVE_C64_TOOLS = 1" >> $config_mak
577fi
4132e8ca 578
2e6189bc 579# use pandora's skin (for now)
580test -e skin || ln -s frontend/pandora/skin skin
581
4132e8ca 582# vim:shiftwidth=2:expandtab